﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using C1.Web.Wijmo.Controls.C1ReportViewer;
using C1.C1Report;
using C1.C1Preview;

public partial class _Default : System.Web.UI.Page
{
    string dbpath = HttpContext.Current.Server.MapPath("~/App_Data/TwoTables.mdb");
    string rptpath, query, rptname;


    protected void Page_Load(object sender, EventArgs e)
    {

        query = "SELECT DISTINCT [Ten Most Expensive Products].TenMostExpensiveProducts,	[Ten Most Expensive Products].UnitPrice FROM  [Ten Most Expensive Products];";
        rptpath = HttpContext.Current.Server.MapPath("~/ReportLayout/MostExpensive.xml");
        rptname = "MostExpensive";

        C1ReportViewer.RegisterDocument(rptname, MakeDoc);

        C1ReportViewer1.FileName = rptname;
        C1ReportViewer1.ReportName = rptname;

        //C1ReportViewer.UnRegisterDocument(rptname);
        //this.C1ReportViewer1.Cache.Enabled = false;
        //this.C1ReportViewer1.Cache.ShareBetweenSessions = false;
    }


    protected void Button1_Click1(object sender, EventArgs e)
    {
        if (C1ReportViewer.HasCachedDocument(C1ReportViewer1.FileName, C1ReportViewer1.ReportName))
            C1ReportViewer.UnRegisterDocument(rptname);

        query = "SELECT DISTINCT [Quarterly Orders].CustomerID, [Quarterly Orders].CompanyName,[Quarterly Orders].City, [Quarterly Orders].Country FROM  [Quarterly Orders] WHERE [Quarterly Orders].Country = \"" + ddlCountry.SelectedItem.Text + "\";";
        rptpath = HttpContext.Current.Server.MapPath("~/ReportLayout/QuarterlyOrdersReport.xml");
        rptname = "Quarterly Orders Report";

        C1ReportViewer.RegisterDocument(rptname, MakeDoc);

        C1ReportViewer1.FileName = rptname;
        C1ReportViewer1.ReportName = rptname + "_" + ddlCountry.SelectedItem.Text;
    }

    protected C1PrintDocument MakeDoc()
    {
        C1Report report = C1ReportViewer.CreateC1Report();
        report.Load(rptpath, rptname);
        report.DataSource.ConnectionString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + dbpath + ";Persist Security Info=False";
        report.DataSource.RecordSource = query;
        report.Render();
        return report.C1Document;

    }
}
